import { DVCFeatureSet, DVCVariableSet } from './types';
import { DVCVariable } from './Variable';
declare type eventHandler = (...args: any[]) => void;
export declare class EventEmitter {
    events: Record<string, eventHandler[]>;
    constructor();
    subscribe(key: string, handler: eventHandler): void;
    unsubscribe(key: string, handler?: eventHandler): void;
    emit(key: string, ...args: any[]): void;
    emitInitialized(success: boolean): void;
    emitError(error: unknown): void;
    emitVariableUpdates(oldVariableSet: DVCVariableSet, newVariableSet: DVCVariableSet, variableDefaultMap: {
        [key: string]: {
            [key: string]: DVCVariable;
        };
    }): void;
    emitFeatureUpdates(oldFeatureSet: DVCFeatureSet, newFeatureSet: DVCFeatureSet): void;
}
export {};
